package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:04 下午
 * 邮箱: itgaojian@163.com
 * 描述: 每餐订单
 */
@Entity(tableName = "food_subscribe")
public class FoodSubscribeBean {
    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '每餐预定菜品订单自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '每餐预定菜品订单36位主键',
    @ColumnInfo(name = "publish_id")
    private String publishId;//` char(36) DEFAULT NULL COMMENT '预定对应的菜谱36位主键',
    @ColumnInfo(name = "subscribe_date")
    private String subscribeDate;//` char(25) DEFAULT NULL COMMENT '预定时间(yyyy-MM-dd)(快照)',
    @ColumnInfo(name = "publish_type")
    private String publishType;//` char(1) DEFAULT NULL COMMENT '预定类型1:早餐,2:午餐,3:晚餐(快照)',
    @ColumnInfo(name = "subscribe_status")
    private String subscribeStatus;//` char(1) DEFAULT NULL COMMENT '订单状态0:购物车,1:已下单,2:已取消,3:已作废,4:已取餐',
    @ColumnInfo(name = "subscribe_time1")
    private String subscribeTime1;//` char(25) DEFAULT NULL COMMENT '下单时间(yyyy-MM-dd HH:mm:ss)',
    @ColumnInfo(name = "subscribe_time2")
    private String subscribeTime2;//` char(25) DEFAULT NULL COMMENT '取消时间(yyyy-MM-dd HH:mm:ss)',
    @ColumnInfo(name = "subscribe_time3")
    private String subscribeTime3;//` char(25) DEFAULT NULL COMMENT '作废时间(yyyy-MM-dd HH:mm:ss)',
    @ColumnInfo(name = "subscribe_time4")
    private String subscribeTime4;//` char(25) DEFAULT NULL COMMENT '取餐时间(yyyy-MM-dd HH:mm:ss)',
    @ColumnInfo(name = "subscribe_number")
    private String subscribeNumber;//` char(50) DEFAULT NULL COMMENT '取餐码(预定时间MMdd 加 (早餐1午餐2晚餐3) 加 用户序号(首次登陆时调用接口获取) )',
    @ColumnInfo(name = "subscribe_qrcode")
    private String subscribeQrcode;//` longtext COMMENT '二维码(Base64)',
    @ColumnInfo(name = "subscribe_description")
    private String subscribeDescription;//订单状态说明
    @ColumnInfo(name = "subscribe_remark")
    private String subscribeRemark;//` varchar(500) DEFAULT NULL COMMENT '订单备注',
    @ColumnInfo(name = "subscribe_price")
    private int subscribePrice;//` bigint(20) DEFAULT NULL COMMENT '订单总金额',
    @ColumnInfo(name = "subscribe_count")
    private int subscribeCount;//` int(11) DEFAULT NULL COMMENT '订单菜品样式数(一个菜品多个只算1)',
    @ColumnInfo(name = "subscribe_unit_count")
    private int subscribeUnitCount;//` int(11) DEFAULT NULL COMMENT '订单菜品总件数(一个菜品多个算多个)',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//` bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,
    @ColumnInfo(name = "is_update")
    private String isUpdate;//是否需要更新  0否 1是

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPublishId() {
        return publishId;
    }

    public void setPublishId(String publishId) {
        this.publishId = publishId;
    }

    public String getSubscribeDate() {
        return subscribeDate;
    }

    public void setSubscribeDate(String subscribeDate) {
        this.subscribeDate = subscribeDate;
    }

    public String getPublishType() {
        return publishType;
    }

    public void setPublishType(String publishType) {
        this.publishType = publishType;
    }

    public String getSubscribeStatus() {
        return subscribeStatus;
    }

    public void setSubscribeStatus(String subscribeStatus) {
        this.subscribeStatus = subscribeStatus;
    }

    public String getSubscribeTime1() {
        return subscribeTime1;
    }

    public void setSubscribeTime1(String subscribeTime1) {
        this.subscribeTime1 = subscribeTime1;
    }

    public String getSubscribeTime2() {
        return subscribeTime2;
    }

    public void setSubscribeTime2(String subscribeTime2) {
        this.subscribeTime2 = subscribeTime2;
    }

    public String getSubscribeTime3() {
        return subscribeTime3;
    }

    public void setSubscribeTime3(String subscribeTime3) {
        this.subscribeTime3 = subscribeTime3;
    }

    public String getSubscribeTime4() {
        return subscribeTime4;
    }

    public void setSubscribeTime4(String subscribeTime4) {
        this.subscribeTime4 = subscribeTime4;
    }

    public String getSubscribeNumber() {
        return subscribeNumber;
    }

    public void setSubscribeNumber(String subscribeNumber) {
        this.subscribeNumber = subscribeNumber;
    }

    public String getSubscribeQrcode() {
        return subscribeQrcode;
    }

    public void setSubscribeQrcode(String subscribeQrcode) {
        this.subscribeQrcode = subscribeQrcode;
    }


    public String getSubscribeDescription() {
        return subscribeDescription;
    }

    public void setSubscribeDescription(String subscribeDescription) {
        this.subscribeDescription = subscribeDescription;
    }

    public String getSubscribeRemark() {
        return subscribeRemark;
    }

    public void setSubscribeRemark(String subscribeRemark) {
        this.subscribeRemark = subscribeRemark;
    }

    public int getSubscribePrice() {
        return subscribePrice;
    }

    public void setSubscribePrice(int subscribePrice) {
        this.subscribePrice = subscribePrice;
    }

    public int getSubscribeCount() {
        return subscribeCount;
    }

    public void setSubscribeCount(int subscribeCount) {
        this.subscribeCount = subscribeCount;
    }

    public int getSubscribeUnitCount() {
        return subscribeUnitCount;
    }

    public void setSubscribeUnitCount(int subscribeUnitCount) {
        this.subscribeUnitCount = subscribeUnitCount;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsUpdate() {
        return isUpdate;
    }

    public void setIsUpdate(String isUpdate) {
        this.isUpdate = isUpdate;
    }
}
